Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class ProvidedIdMapping

    java.lang.Object
      org.hibernate.search.cfg.ProvidedIdMapping

    public class ProvidedIdMapping

extends java.lang.Object

Constructor Summary
`ProvidedIdMapping(SearchMapping searchMapping, EntityDescriptor entity)`

Method Summary
`AnalyzerDefMapping` | `analyzerDef(java.lang.String name, java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)`
`FieldBridgeMapping` | `bridge(java.lang.Class<?> impl)`
`EntityMapping` | `entity(java.lang.Class<?> entityType)`
`FullTextFilterDefMapping` | `fullTextFilterDef(java.lang.String name, java.lang.Class<?> impl)`
`ProvidedIdMapping` | `name(java.lang.String name)`
`PropertyMapping` | `property(java.lang.String name, java.lang.annotation.ElementType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProvidedIdMapping

    public ProvidedIdMapping(SearchMapping searchMapping,
                             EntityDescriptor entity)

Method Detail

### name

    public ProvidedIdMapping name(java.lang.String name)

### bridge

    public FieldBridgeMapping bridge(java.lang.Class<?> impl)

### fullTextFilterDef

    public FullTextFilterDefMapping fullTextFilterDef(java.lang.String name,
                                                      java.lang.Class<?> impl)

### property

    public PropertyMapping property(java.lang.String name,
                                    java.lang.annotation.ElementType type)

### analyzerDef

    public AnalyzerDefMapping analyzerDef(java.lang.String name,
                                          java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)

### entity

    public EntityMapping entity(java.lang.Class<?> entityType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.